List historical Threads
curl --request GET \
--url https://api.consensus.app/v1/threads \
--header 'x-api-key: <api-key>'import requests
url = "https://api.consensus.app/v1/threads"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.consensus.app/v1/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"threads": [
{
"thread_id": "<string>",
"title": "<string>",
"url": "<string>",
"status": "running",
"preview": "<string>",
"interaction_count": 123,
"last_activity_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Threads
List historical Threads
The caller’s prior Threads, newest first, optionally filtered by a case-insensitive title substring. Rate limit: 1 request/second. On this list, status may be absent for Threads inactive past the status window and title is substituted when the Thread has none; GET the Thread for authoritative status and title.
GET
/
v1
/
threads
List historical Threads
Authorizations
Query Parameters
Title substring to match (case-insensitive).
Max Threads to return.
Required range:
1 <= x <= 100Pagination offset.
Required range:
x >= 0